Subject: Re: some problem with alpine

From: Joe Sypniewski <[email-masked]>
Date: Mon, 4 Jan 2021 03:15:45 +0000 (UTC)

The basic question: Can I use the provided images and install version of alpine on computes that is completely OFF line?
I have downloaded Extended version assuming that many packages will be available inside this 482 meg image, so I was mistaken. I have followed the wiki and have chosen option "Sys Disk Mode", which is:"This is a traditional hard-disk install. If this mode is selected, the setup-alpine script defaults to create three partitions on the selected storage device, /boot, swap and / (the filesystem root). This mode may be used for generic desktop and development machines, for example."Normally I can always add an empty partition and use it (w/o downloading). It is not important what mystery partition contain or not; the most important is the first question; can I use & build alpine w/o the network?
I'll check the previous mailing & other wikis to answer the question, how to setup local depository for later usage?
I would very much appreciate pointing me in the right direction.

    On Sunday, January 3, 2021, 8:29:57 PM UTC, PICCORO McKAY Lenz <[email-masked]> wrote:  
 
 El dom, 3 de ene. de 2021 a la(s) 16:05, Joe Sypniewski ([email-masked]) escribió:
>
> - The download for Extended version is 482 MB (x86), versus substantially smaller other >versions. If I look inside iso; there are two partitions; one is boot and the other is a puzzle; 
> it has no fs indicator & it looks like empty? men! is a ISO hybrid.. basically as wiki xplain is a live disc like! in fact alpine is a running system, when you install is just a modification of the real alpine to save data in fs.. check https://wiki.alpinelinux.org/wiki/Alpine_newbie_install_manual cos the alpine wiki page ned wifi formating and links
> After installation, the system has only busybox, musl, ssl & few other utilities (& kernel). > All this should take couple of megs, so what is the rest?umm good question.. the problem is that extended has few other packages to made the installation offline that's all.. by example openssh are included offline
> - I'm a debian guy and the deb has a very simple format; with debs I can create my local> depository that I can move around and install selected packages at will w/o the network.>  With local depository I do not have to use anything else, but busybox with dpkg option> compiled. Question is; can I create a local depository (similar to the above) with apk?i asked that before in mail list.. search with history
>
> Again, thank you for your support & I'm trying to learn alpine now as I'm writing this.
>
> On Saturday, January 2, 2021, 5:34:33 AM UTC, PICCORO McKAY Lenz <[email-masked]> wrote:
>
>
> El jue, 31 de dic. de 2020 a la(s) 23:55, <[email-masked]> escribió:
> > December 31, 2020 12:37 PM, "Joe Sypniewski" <[email-masked]> wrote:
> > > What is the proper way of using alpine w/o the network access?
> > Alpine works fine without network access, just not for your use-case.
> Bad explained: what you mention that "it works without a network" is
> only the base system and not all "alpine" so that's wrong, the core
> and linux kernel and common base utilities works without network, but
> today based on common need the provided base system its unuseless to
> those task..
>
> > > What is the difference between "Extended" and other version since "Extended" does not contain any
> > > other software?
> > Extended just includes a few commonly used utilities. Alpine is
> wrong again: extended is only for x86 and x64 on intel/amd
> architecture cos is more common, others architectures does not have
> extended flavour and will always required mostly networking
>
> > very much a lego distribution - if you want a desktop environment,
> > you're going to have to build it yourself. Which will require some
> this depends software that are already package and must be installed from
> packages apk files but other you must compile it..
> packages as openrc must be installed by apk repositories cos is best
> suid by mantainer that close knows the alpine infrastructure operating
> system
>
>
> > way to get .apk files to your box - typically the internet. Though
> > you could download them and stick them on a flash drive or similar,
> > if internet access is not possible.